import 'package:adaptix/adaptix.dart';
import 'package:flutter/material.dart';
import 'package:flutter_localizations/flutter_localizations.dart';
// import 'package:flutter_localizations/flutter_localizations.dart';

String kBaseUrl = 'http://sapalymahabat.com.tm';

class GlobalVariables {
  static const kAppName = 'Sapaly Mahabat';

  static double deviceHeight(BuildContext context) =>
      MediaQuery.of(context).size.height;

  static double deviceWidth(BuildContext context) =>
      MediaQuery.of(context).size.width;
  static const localizationsDelegate = [
    // AppLocalizations.delegate,
    GlobalMaterialLocalizations.delegate,
    GlobalWidgetsLocalizations.delegate,
    GlobalCupertinoLocalizations.delegate,
  ];
  static const supportedLocales = [
    Locale('en'),
    Locale('ru'),
    Locale('tk'),
  ];

  static double horizontalPadding(BuildContext context) =>
      MediaQuery.of(context).size.width * 0.04;

  static double verticalPadding(BuildContext context) => 20.adaptedPx();
}
